public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Roman" <davidroman96@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: media-sound/lms/
Date: Wed, 05 Mar 2025 13:15:36 +0000 (UTC)	[thread overview]
Message-ID: <1741180523.5b13d9f281d9c307c2cc7ef45b8ab56d71b64b4d.davidroman@gentoo> (raw)

commit:     5b13d9f281d9c307c2cc7ef45b8ab56d71b64b4d
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Wed Mar  5 13:15:23 2025 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Mar  5 13:15:23 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5b13d9f2

media-sound/lms: add slot rebuild for wt and boost

Signed-off-by: David Roman <davidroman96 <AT> gmail.com>

 media-sound/lms/lms-3.64.0-r1.ebuild | 68 ++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

diff --git a/media-sound/lms/lms-3.64.0-r1.ebuild b/media-sound/lms/lms-3.64.0-r1.ebuild
new file mode 100644
index 000000000..7c03b6f8e
--- /dev/null
+++ b/media-sound/lms/lms-3.64.0-r1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake pam systemd
+
+DESCRIPTION="Lightweight Music Server."
+HOMEPAGE="https://lms-demo.poupon.dev/ https://github.com/epoupon/lms"
+SRC_URI="https://github.com/epoupon/lms/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test +stb"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	app-arch/libarchive
+	acct-user/lms
+	dev-cpp/wt:=
+	dev-libs/boost:=
+	dev-libs/libconfig[cxx]
+	media-libs/taglib
+	media-video/ffmpeg[mp3,opus]
+	sys-libs/pam
+
+	!stb? ( media-gfx/graphicsmagick )
+
+"
+
+DEPEND="
+	${RDEPEND}
+
+	stb? ( dev-libs/stb )
+"
+
+BDEPEND="
+	test? ( dev-cpp/gtest )
+"
+
+src_configure() {
+	local mycmakeargs=(
+		-DLMS_IMAGE_BACKEND=$(usex stb stb graphicsmagick)
+		-DENABLE_TESTS=$(usex test)
+	)
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	systemd_newunit conf/systemd/default.service lms.service
+	newinitd "${FILESDIR}/lms.init" lms
+	dopamd conf/pam/lms
+	mv "${ED}/usr/share/lms/lms.conf" "${ED}/etc/lms.conf" || die
+
+	# Already installed in the proper directory
+	rm "${ED}/usr/share/lms/default.service" || die
+	rm "${ED}/usr/share/lms/lms" || die
+
+	keepdir /var/log/lms
+	fowners -R lms:lms /var/log/lms
+
+	keepdir /var/lms
+	fowners lms:lms /var/lms
+}


             reply	other threads:[~2025-03-05 13:15 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-05 13:15 David Roman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-24 10:06 [gentoo-commits] repo/proj/guru:dev commit in: media-sound/lms/ David Roman
2025-02-24 10:06 David Roman
2025-01-23  9:56 David Roman
2025-01-23  9:56 David Roman
2025-01-06 19:57 David Roman
2025-01-06 19:57 David Roman
2024-12-19  9:58 David Roman
2024-12-17 16:03 David Roman
2024-12-17 16:03 David Roman
2024-11-12 11:05 David Roman
2024-10-31 11:13 David Roman
2024-10-31 11:13 David Roman
2024-10-13 14:16 David Roman
2024-10-13 14:16 David Roman
2024-09-19  0:18 David Roman
2024-08-31 21:28 David Roman
2024-08-31 21:28 David Roman
2024-08-06  9:25 David Roman
2024-07-30  9:33 David Roman
2024-07-30  9:33 David Roman
2024-07-09  9:36 David Roman
2024-06-17 10:26 David Roman
2024-06-10 15:31 David Roman
2024-06-10 15:31 David Roman
2024-05-06 11:53 [gentoo-commits] repo/proj/guru:master " David Roman
2024-05-06 11:46 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2024-05-06 11:53 [gentoo-commits] repo/proj/guru:master " David Roman
2024-05-06 10:33 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2024-05-06 10:33 David Roman
2024-04-24 12:11 [gentoo-commits] repo/proj/guru:master " David Roman
2024-04-23 21:39 ` [gentoo-commits] repo/proj/guru:dev " David Roman
2024-04-23 21:39 David Roman
2024-04-05 22:02 David Roman
2024-04-02 12:13 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1741180523.5b13d9f281d9c307c2cc7ef45b8ab56d71b64b4d.davidroman@gentoo \
    --to=davidroman96@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox